package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.aplib.cd.ClassGraph;
import edu.neu.ccs.demeter.*;
class ClassNameSet extends Simple {
	
	public void interpretExpression(SelectorL s, ClassGraph c) {
		//created to fufill abstract method implementation
	}
	protected ClassName_BCList classname_bclist;
	public ClassName_BCList get_classname_bclist() { return classname_bclist; }
	public void set_classname_bclist(ClassName_BCList new_classname_bclist) { classname_bclist = new_classname_bclist; }
	public ClassNameSet() { super(); }
	public ClassNameSet(ClassName_BCList classname_bclist) {
		super();
		set_classname_bclist(classname_bclist);
	}
	public static ClassNameSet parse(java.io.Reader in) throws ParseException { return new Parser(in)._ClassNameSet(); }
	public static ClassNameSet parse(java.io.InputStream in) throws ParseException { return new Parser(in)._ClassNameSet(); }
	public static ClassNameSet parse(String s) {
		try { return parse(new java.io.StringReader(s)); }
		catch (ParseException e) {
			throw new RuntimeException(e.toString());
		}
	}
	void universal_trv0_bef(UniversalVisitor _v_) {
		super.universal_trv0_bef(_v_);
		((UniversalVisitor) _v_).before(this);
	}
	
	void universal_trv0_aft(UniversalVisitor _v_) {
		((UniversalVisitor) _v_).after(this);
		super.universal_trv0_aft(_v_);
	}
	
	void universal_trv0(UniversalVisitor _v_) {
		universal_trv0_bef(_v_);
		((UniversalVisitor) _v_).before_classname_bclist(this, classname_bclist);
		classname_bclist.universal_trv0(_v_);
		((UniversalVisitor) _v_).after_classname_bclist(this, classname_bclist);
		super.universal_trv0(_v_);
		universal_trv0_aft(_v_);
	}
	
}
